Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputInlineQueryResultAnimation

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputInlineQueryResult
it.tdlight.jni.TdApi.InputInlineQueryResultAnimation

Enclosing class:
  TdApi

public static final class TdApi.InputInlineQueryResultAnimation extends TdApi.InputInlineQueryResult
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`id`
Unique identifier of the query result.
`TdApi.InputMessageContent`
`inputMessageContent`
The content of the message to be sent.
`TdApi.ReplyMarkup`
`replyMarkup`
The message reply markup; pass null if none.
`String`
`thumbnailMimeType`
MIME type of the video thumbnail.
`String`
`thumbnailUrl`
URL of the result thumbnail (JPEG, GIF, or MPEG4), if it exists.
`String`
`title`
Title of the query result.
`int`
`videoDuration`
Duration of the video, in seconds.
`int`
`videoHeight`
Height of the video.
`String`
`videoMimeType`
MIME type of the video file.
`String`
`videoUrl`
The URL of the video file (file size must not exceed 1MB).
`int`
`videoWidth`
Width of the video.

## Constructor Summary

Constructors
Constructor
Description
`InputInlineQueryResultAnimation()`
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.
`InputInlineQueryResultAnimation(DataInput input)`
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.
`InputInlineQueryResultAnimation(String id, String title, String thumbnailUrl, String thumbnailMimeType, String videoUrl, String videoMimeType, int videoDuration, int videoWidth, int videoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)`
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public String id
Unique identifier of the query result.

### title

public String title
Title of the query result.

### thumbnailUrl

public String thumbnailUrl
URL of the result thumbnail (JPEG, GIF, or MPEG4), if it exists.

### thumbnailMimeType

public String thumbnailMimeType
MIME type of the video thumbnail. If non-empty, must be one of "image/jpeg", "image/gif" and "video/mp4".

### videoUrl

public String videoUrl
The URL of the video file (file size must not exceed 1MB).

### videoMimeType

public String videoMimeType
MIME type of the video file. Must be one of "image/gif" and "video/mp4".

### videoDuration

public int videoDuration
Duration of the video, in seconds.

### videoWidth

public int videoWidth
Width of the video.

### videoHeight

public int videoHeight
Height of the video.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.

### inputMessageContent

public TdApi.InputMessageContent inputMessageContent
The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageAnimation, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputInlineQueryResultAnimation

public InputInlineQueryResultAnimation()
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

### InputInlineQueryResultAnimation

public InputInlineQueryResultAnimation(String id, String title, String thumbnailUrl, String thumbnailMimeType, String videoUrl, String videoMimeType, int videoDuration, int videoWidth, int videoHeight, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the query result.
  `thumbnailUrl` - URL of the result thumbnail (JPEG, GIF, or MPEG4), if it exists.
  `thumbnailMimeType` - MIME type of the video thumbnail. If non-empty, must be one of "image/jpeg", "image/gif" and "video/mp4".
  `videoUrl` - The URL of the video file (file size must not exceed 1MB).
  `videoMimeType` - MIME type of the video file. Must be one of "image/gif" and "video/mp4".
  `videoDuration` - Duration of the video, in seconds.
  `videoWidth` - Width of the video.
  `videoHeight` - Height of the video.
  `replyMarkup` - The message reply markup; pass null if none. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: inputMessageText, inputMessageAnimation, inputMessageInvoice, inputMessageLocation, inputMessageVenue or inputMessageContact.

### InputInlineQueryResultAnimation

public InputInlineQueryResultAnimation(DataInput input) throws IOException
Represents a link to an animated GIF or an animated (i.e., without sound) H.264/MPEG-4 AVC video.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`